package routers

import (
	"boss/internal/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	beego.Router("/", &controllers.PageController{}, "*:Index")
	beego.Router("/index.html", &controllers.PageController{}, "*:Index")
	beego.Router("/login.html", &controllers.PageController{}, "*:LoginPage")
	beego.Router("/account.html", &controllers.PageAuthController{}, "*:AccountPage")
	beego.Router("/account_history.html", &controllers.PageAuthController{}, "*:AccountHistoryPage")
	beego.Router("/bank_card.html", &controllers.PageAuthController{}, "*:BankCardPage")
	beego.Router("/create_agent.html", &controllers.PageAuthController{}, "*:CreateAgentPage")
	beego.Router("/edit_role.html", &controllers.PageAuthController{}, "*:EditRolePage")
	beego.Router("/first_menu.html", &controllers.PageAuthController{}, "*:FirstMenuPage")
	beego.Router("/main.html", &controllers.PageAuthController{}, "*:MainPage")
	beego.Router("/menu.html", &controllers.PageAuthController{}, "*:MenuPage")
	beego.Router("/merchant.html", &controllers.PageAuthController{}, "*:MerchantPage")
	beego.Router("/merchant_v2.html", &controllers.PageAuthController{}, "*:MerchantV2Page")

	beego.Router("/customerUserManagement.html", &controllers.PageAuthController{}, "*:UserManagement")

	beego.Router("/order-summary-info.html", &controllers.PageAuthController{}, "*:OrderSummary")
	beego.Router("/recharge-apple-card-account.html", &controllers.PageAuthController{}, "*:RechargeAppleAccountPage")
	beego.Router("/recharge-apple-card-order.html", &controllers.PageAuthController{}, "*:RechargeAppleOrderPage")
	beego.Router("/card-user-management.html", &controllers.PageAuthController{}, "*:StealOrderPage")

	beego.Router("/recharge-t-mall-game-account.html", &controllers.PageAuthController{}, "*:RechargeTMallGameAccountPage")
	beego.Router("/recharge-t-mall-game-order.html", &controllers.PageAuthController{}, "*:RechargeTMallGameOrderPage")
	beego.Router("/recharge-t-mall-game-workplace.html", &controllers.PageAuthController{}, "*:RechargeTMallGameSummaryPage")

	beego.Router("/operator.html", &controllers.PageAuthController{}, "*:OperatorPage")
	beego.Router("/power.html", &controllers.PageAuthController{}, "*:PowerPage")
	beego.Router("/road.html", &controllers.PageAuthController{}, "*:RoadPage")
	beego.Router("/road_pool.html", &controllers.PageAuthController{}, "*:RoadPoolPage")
	beego.Router("/road_profit.html", &controllers.PageAuthController{}, "*:RoadProfitPage")
	beego.Router("/role.html", &controllers.PageAuthController{}, "*:RolePage")
	beego.Router("/second_menu.html", &controllers.PageAuthController{}, "*:SecondMenuPage")
	beego.Router("/order_info.html", &controllers.PageAuthController{}, "*:OrderInfoPage")
	beego.Router("/order_profit.html", &controllers.PageAuthController{}, "*:OrderProfitPage")
	beego.Router("/merchant_payfor.html", &controllers.PageAuthController{}, "*:MerchantPayforPage")
	beego.Router("/self_payfor.html", &controllers.PageAuthController{}, "*:SelfPayforPage")
	beego.Router("/payfor_record.html", &controllers.PageAuthController{}, "*:PayforRecordPage")
	beego.Router("/confirm.html", &controllers.PageAuthController{}, "*:ConfirmPage")
	beego.Router("/self_notify.html", &controllers.PageAuthController{}, "*:SelfNotifyPage")
	//beego.Router("/self_plus_sub.html", &controllers.PageController{}, "*:SelfPlusSubPage")
	beego.Router("/agent_to_merchant.html", &controllers.PageAuthController{}, "*:AgentToMerchantPage")
	beego.Router("/platform_profit.html", &controllers.PageAuthController{}, "*:PlatFormProfitPage")
	beego.Router("/agent_profit.html", &controllers.PageAuthController{}, "*:AgentProfitPage")
}
